summaryrefslogtreecommitdiff
path: root/tests/mkdir/perm
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2000-09-30 08:08:21 +0000
committerJim Meyering <jim@meyering.net>2000-09-30 08:08:21 +0000
commit52e7fcc46cac0ac06cecef3d35770b6f73fc5f46 (patch)
treee0a6ce29a99418cc8350365790a8393993abca7c /tests/mkdir/perm
parent96cde754804b8b6b56b2d35826598d7a792119d5 (diff)
downloadcoreutils-52e7fcc46cac0ac06cecef3d35770b6f73fc5f46.tar.xz
*** empty log message ***
Diffstat (limited to 'tests/mkdir/perm')
-rwxr-xr-xtests/mkdir/perm8
1 files changed, 6 insertions, 2 deletions
diff --git a/tests/mkdir/perm b/tests/mkdir/perm
index a798fb535..75845ae2c 100755
--- a/tests/mkdir/perm
+++ b/tests/mkdir/perm
@@ -1,5 +1,6 @@
#!/bin/sh
-# FIXME
+# Verify that mkdir's `-m MODE' option works properly
+# with various umask settings.
if test "$VERBOSE" = yes; then
set -x
@@ -24,6 +25,8 @@ fail=0
# umask -m option resulting perm
tests='
+ 000 : :drwxrwxrwx:
+ 000 : -m 016 :d-----xrw-:
077 : :drwx------:
050 : :drwx-w-rwx:
050 : -m 312 :d-wx--x-w-:
@@ -45,7 +48,8 @@ while :; do
mkdir $mode d || fail=1
actual_perms=`ls -ld d | sed 's/ .*//'`
- test "$expected_perms" = "$actual_perms" || fail=1
+ test "$expected_perms" = "$actual_perms" \
+ || { fail=1; echo expected $expected_perms, got $actual_perms; }
rmdir d || fail=1
done